/* -*- Mode: C; tab-width: 8; indent-tabs-mode: nil; c-basic-offset: 8 -*- */
/*
 * This file is part of libosso-abook
 *
 * Copyright (C) 2007 Nokia Corporation. All rights reserved.
 *
 * Contact: Onne Gorter <onne.gorter@nokia.com>
 */

#ifndef __OSSO_ABOOK_ACCOUNT_AVATAR_H__
#define __OSSO_ABOOK_ACCOUNT_AVATAR_H__

#include "osso-abook-avatar.h"
#include "osso-abook-account.h"

G_BEGIN_DECLS

#define OSSO_ABOOK_TYPE_ACCOUNT_AVATAR \
                (osso_abook_account_avatar_get_type ())
#define OSSO_ABOOK_ACCOUNT_AVATAR(obj) \
                (G_TYPE_CHECK_INSTANCE_CAST ((obj), \
                 OSSO_ABOOK_TYPE_ACCOUNT_AVATAR, \
                 OssoABookAccountAvatar))
#define OSSO_ABOOK_ACCOUNT_AVATAR_CLASS(klass) \
                (G_TYPE_CHECK_CLASS_CAST ((klass), \
                 OSSO_ABOOK_TYPE_ACCOUNT_AVATAR, \
                 OssoABookAccountAvatarClass))
#define OSSO_ABOOK_IS_ACCOUNT_AVATAR(obj) \
                (G_TYPE_CHECK_INSTANCE_TYPE ((obj), \
                 OSSO_ABOOK_TYPE_ACCOUNT_AVATAR))
#define OSSO_ABOOK_IS_ACCOUNT_AVATAR_CLASS(klass) \
                (G_TYPE_CHECK_CLASS_TYPE ((klass), \
                 OSSO_ABOOK_TYPE_ACCOUNT_AVATAR))
#define OSSO_ABOOK_ACCOUNT_AVATAR_GET_CLASS(obj) \
                (G_TYPE_INSTANCE_GET_CLASS ((obj), \
                 OSSO_ABOOK_TYPE_ACCOUNT_AVATAR, \
                 OssoABookAccountAvatarClass))

typedef struct _OssoABookAccountAvatarPrivate OssoABookAccountAvatarPrivate;

typedef struct {
	OssoABookAvatar parent;

        OssoABookAccountAvatarPrivate *priv;
} OssoABookAccountAvatar;

typedef struct {
	OssoABookAvatarClass parent_class;
} OssoABookAccountAvatarClass;

GType
osso_abook_account_avatar_get_type    (void) G_GNUC_CONST;

OssoABookAvatar *
osso_abook_account_avatar_new         (OssoABookAccount       *account);

OssoABookAccount *
osso_abook_account_avatar_get_account (OssoABookAccountAvatar *avatar);

void
osso_abook_account_avatar_set_account (OssoABookAccountAvatar *avatar,
                                       OssoABookAccount       *account);

/* quit function for cleaning up the avatar hash */
gboolean
_osso_abook_avatar_clean              (gpointer dummy);

G_END_DECLS

#endif /* __OSSO_ABOOK_ACCOUNT_AVATAR_H__ */
