/* -*- Mode: C; tab-width: 8; indent-tabs-mode: nil; c-basic-offset: 8 -*- */
/*
 * This file is part of libosso-abook
 *
 * Copyright (C) 2006 Nokia Corporation. All rights reserved.
 *
 * Contact: Onne Gorter <onne.gorter@nokia.com>
 */

#ifndef __OSSO_ABOOK_ACCOUNT_CAPS_H__
#define __OSSO_ABOOK_ACCOUNT_CAPS_H__

#include "osso-abook-caps.h"
#include "osso-abook-account.h"

G_BEGIN_DECLS

#define OSSO_ABOOK_TYPE_ACCOUNT_CAPS \
                (osso_abook_account_caps_get_type ())
#define OSSO_ABOOK_ACCOUNT_CAPS(obj) \
                (G_TYPE_CHECK_INSTANCE_CAST ((obj), \
                 OSSO_ABOOK_TYPE_ACCOUNT_CAPS, \
                 OssoABookAccountCaps))
#define OSSO_ABOOK_ACCOUNT_CAPS_CLASS(klass) \
                (G_TYPE_CHECK_CLASS_CAST ((klass), \
                 OSSO_ABOOK_TYPE_ACCOUNT_CAPS, \
                 OssoABookAccountCapsClass))
#define OSSO_ABOOK_IS_ACCOUNT_CAPS(obj) \
                (G_TYPE_CHECK_INSTANCE_TYPE ((obj), \
                 OSSO_ABOOK_TYPE_ACCOUNT_CAPS))
#define OSSO_ABOOK_IS_ACCOUNT_CAPS_CLASS(klass) \
                (G_TYPE_CHECK_CLASS_TYPE ((klass), \
                 OSSO_ABOOK_TYPE_ACCOUNT_CAPS))
#define OSSO_ABOOK_ACCOUNT_CAPS_GET_CLASS(obj) \
                (G_TYPE_INSTANCE_GET_CLASS ((obj), \
                 OSSO_ABOOK_TYPE_ACCOUNT_CAPS, \
                 OssoABookAccountCapsClass))

typedef struct _OssoABookAccountCapsPrivate OssoABookAccountCapsPrivate;

typedef struct {
	OssoABookCaps parent;

        OssoABookAccountCapsPrivate *priv;
} OssoABookAccountCaps;

typedef struct {
        OssoABookCapsClass parent_class;
} OssoABookAccountCapsClass;

GType
osso_abook_account_caps_get_type    (void) G_GNUC_CONST;

OssoABookCaps *
osso_abook_account_caps_new         (OssoABookAccount         *account);

OssoABookAccount *
osso_abook_account_caps_get_account (OssoABookAccountCaps *caps);

G_END_DECLS

#endif /* __OSSO_ABOOK_ACCOUNT_CAPS_H__ */
