/* -*- Mode: C; tab-width: 8; indent-tabs-mode: nil; c-basic-offset: 8 -*- */
/*
 * This file is part of libosso-abook
 *
 * Copyright (C) 2007 Nokia Corporation. All rights reserved.
 *
 * Contact: Onne Gorter <onne.gorter@nokia.com>
 */

#ifndef __OSSO_ABOOK_ACCOUNT_COMBO_DIALOG_H__
#define __OSSO_ABOOK_ACCOUNT_COMBO_DIALOG_H__

#include <gtk/gtkcombobox.h>
#include <libmissioncontrol/mc-account.h>
#include "osso-abook-account.h"

G_BEGIN_DECLS

#define OSSO_ABOOK_TYPE_ACCOUNT_COMBO osso_abook_account_combo_get_type()

#define OSSO_ABOOK_ACCOUNT_COMBO(obj) \
  (G_TYPE_CHECK_INSTANCE_CAST ((obj), \
  OSSO_ABOOK_TYPE_ACCOUNT_COMBO, OssoABookAccountCombo))

#define OSSO_ABOOK_ACCOUNT_COMBO_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_CAST ((klass), \
  OSSO_ABOOK_TYPE_ACCOUNT_COMBO, OssoABookAccountComboClass))

#define OSSO_ABOOK_IS_ACCOUNT_COMBO(obj) \
  (G_TYPE_CHECK_INSTANCE_TYPE ((obj), \
  OSSO_ABOOK_TYPE_ACCOUNT_COMBO))

#define OSSO_ABOOK_IS_ACCOUNT_COMBO_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_TYPE ((klass), \
  OSSO_ABOOK_TYPE_ACCOUNT_COMBO))

#define OSSO_ABOOK_ACCOUNT_COMBO_GET_CLASS(obj) \
  (G_TYPE_INSTANCE_GET_CLASS ((obj), \
  OSSO_ABOOK_TYPE_ACCOUNT_COMBO, OssoABookAccountComboClass))

typedef struct {
  GtkComboBox parent;
} OssoABookAccountCombo;

typedef struct {
  GtkComboBoxClass parent_class;
} OssoABookAccountComboClass;

GType osso_abook_account_combo_get_type (void);

GtkWidget* osso_abook_account_combo_new (OssoABookAccountTypeFlags flags);

McAccount * osso_abook_account_combo_get_active_account (OssoABookAccountCombo *combo);

G_END_DECLS

#endif /* __OSSO_ABOOK_ACCOUNT_COMBO_H__ */
