/* -*- Mode: C; tab-width: 8; indent-tabs-mode: nil; c-basic-offset: 8 -*- */
/*
 * This file is part of libosso-abook
 *
 * Copyright (C) 2006 Nokia Corporation. All rights reserved.
 *
 * Contact: Onne Gorter <onne.gorter@nokia.com>
 */

#ifndef __OSSO_ABOOK_ACCOUNT_GROUP_H__
#define __OSSO_ABOOK_ACCOUNT_GROUP_H__

#include "osso-abook-group.h"
#include "osso-abook-account.h"

G_BEGIN_DECLS

#define OSSO_ABOOK_TYPE_ACCOUNT_GROUP \
        (osso_abook_account_group_get_type ())
#define OSSO_ABOOK_ACCOUNT_GROUP(obj)               \
        (G_TYPE_CHECK_INSTANCE_CAST ((obj),         \
                                     OSSO_ABOOK_TYPE_ACCOUNT_GROUP,     \
                                     OssoABookAccountGroup))
#define OSSO_ABOOK_ACCOUNT_GROUP_CLASS(klass)      \
        (G_TYPE_CHECK_CLASS_CAST ((klass),         \
                                  OSSO_ABOOK_TYPE_ACCOUNT_GROUP,        \
                                  OssoABookAccountGroupClass))
#define OSSO_ABOOK_IS_ACCOUNT_GROUP(obj)            \
        (G_TYPE_CHECK_INSTANCE_TYPE ((obj),         \
                                     OSSO_ABOOK_TYPE_ACCOUNT_GROUP))
#define OSSO_ABOOK_IS_ACCOUNT_GROUP_CLASS(klass)   \
        (G_TYPE_CHECK_CLASS_TYPE ((klass),         \
                                  OSSO_ABOOK_TYPE_ACCOUNT_GROUP))
#define OSSO_ABOOK_ACCOUNT_GROUP_GET_CLASS(obj)    \
        (G_TYPE_INSTANCE_GET_CLASS ((obj),         \
                                    OSSO_ABOOK_TYPE_ACCOUNT_GROUP,      \
                                    OssoABookAccountGroupClass))

typedef struct {
        OssoABookGroup parent;
        OssoABookAccountTypeFlags flags;
} OssoABookAccountGroup;

typedef struct {
        OssoABookGroupClass parent_class;
} OssoABookAccountGroupClass;

GType
osso_abook_account_group_get_type (void) G_GNUC_CONST;

OssoABookGroup *osso_abook_account_group_new (OssoABookAccountTypeFlags flags);

G_END_DECLS

#endif /* __OSSO_ABOOK_ACCOUNT_GROUP_H__ */
