/* osso-abook-action-store.h */

#ifndef _OSSO_ABOOK_ACTION_STORE
#define _OSSO_ABOOK_ACTION_STORE

#include <gtk/gtkliststore.h>
#include <libebook/e-book.h>

G_BEGIN_DECLS

#define OSSO_ABOOK_TYPE_ACTION_STORE osso_abook_action_store_get_type()

#define OSSO_ABOOK_ACTION_STORE(obj) \
        (G_TYPE_CHECK_INSTANCE_CAST ((obj), \
        OSSO_ABOOK_TYPE_ACTION_STORE, OssoABookActionStore))

#define OSSO_ABOOK_ACTION_STORE_CLASS(klass) \
        (G_TYPE_CHECK_CLASS_CAST ((klass), \
        OSSO_ABOOK_TYPE_ACTION_STORE, OssoABookActionStoreClass))

#define OSSO_ABOOK_IS_ACTION_STORE(obj) \
        (G_TYPE_CHECK_INSTANCE_TYPE ((obj), \
        OSSO_ABOOK_TYPE_ACTION_STORE))

#define OSSO_ABOOK_IS_ACTION_STORE_CLASS(klass) \
        (G_TYPE_CHECK_CLASS_TYPE ((klass), \
        OSSO_ABOOK_TYPE_ACTION_STORE))

#define OSSO_ABOOK_ACTION_STORE_GET_CLASS(obj) \
        (G_TYPE_INSTANCE_GET_CLASS ((obj), \
        OSSO_ABOOK_TYPE_ACTION_STORE, OssoABookActionStoreClass))

typedef enum {
        OSSO_ABOOK_ACTION_NONE,
        OSSO_ABOOK_ACTION_CALL,
        OSSO_ABOOK_ACTION_ADD_CALL_ADDRESS,
        OSSO_ABOOK_ACTION_ADD_CALL_ACCOUNT,
        OSSO_ABOOK_ACTION_CHAT,
        OSSO_ABOOK_ACTION_ADD_CHAT_ADDRESS,
        OSSO_ABOOK_ACTION_ADD_CHAT_ACCOUNT,
        OSSO_ABOOK_ACTION_EMAIL,
        OSSO_ABOOK_ACTION_ADD_EMAIL_ADDRESS,
        OSSO_ABOOK_ACTION_DETAILS,
        OSSO_ABOOK_ACTION_BLOCK,
        OSSO_ABOOK_ACTION_UNBLOCK,
        OSSO_ABOOK_ACTION_GOTO_URL
} OssoABookAction;

enum {
        OSSO_ABOOK_ACTION_STORE_COL_ICON_NAME,
        OSSO_ABOOK_ACTION_STORE_COL_LABEL,
        OSSO_ABOOK_ACTION_STORE_COL_ACTION,
        OSSO_ABOOK_ACTION_STORE_COL_SENSITIVE,
        OSSO_ABOOK_ACTION_STORE_COL_INSENSITIVE_MESSAGE
};

typedef struct {
        GtkListStore parent;
} OssoABookActionStore;

typedef struct {
        GtkListStoreClass parent_class;
} OssoABookActionStoreClass;

GType osso_abook_action_store_get_type (void);

GtkListStore* osso_abook_action_store_new (void);

void osso_abook_action_store_set_contact (OssoABookActionStore *action_store,
                                          EContact *contact);

void osso_abook_action_store_set_account (OssoABookActionStore *action_store,
                                           OssoABookAccount *account);
void osso_abook_action_store_set_accounts (OssoABookActionStore *action_store,
                                           GList *accounts);

OssoABookAction osso_abook_action_store_get_action (OssoABookActionStore *action_store,
                                                    GtkTreeIter *iter);

const char* osso_abook_action_store_get_insensitive_message (OssoABookActionStore *action_store,
                                                             GtkTreePath *path);

G_END_DECLS

#endif /* _OSSO_ABOOK_ACTION_STORE */

