/* -*- Mode: C; tab-width: 8; indent-tabs-mode: nil; c-basic-offset: 8 -*- */
/*
 * This file is part of libosso-abook
 *
 * Copyright (C) 2007 Nokia Corporation. All rights reserved.
 *
 * Contact: Onne Gorter <onne.gorter@nokia.com>
 */

#ifndef __OSSO_ABOOK_AND_GROUP_H__
#define __OSSO_ABOOK_AND_GROUP_H__

#include "osso-abook-group.h"

G_BEGIN_DECLS

#define OSSO_ABOOK_TYPE_AND_GROUP \
                (osso_abook_and_group_get_type ())
#define OSSO_ABOOK_AND_GROUP(obj) \
                (G_TYPE_CHECK_INSTANCE_CAST ((obj), \
                 OSSO_ABOOK_TYPE_AND_GROUP, \
                 OssoABookAndGroup))
#define OSSO_ABOOK_AND_GROUP_CLASS(klass) \
                (G_TYPE_CHECK_CLASS_CAST ((klass), \
                 OSSO_ABOOK_TYPE_AND_GROUP, \
                 OssoABookAndGroupClass))
#define OSSO_ABOOK_IS_AND_GROUP(obj) \
                (G_TYPE_CHECK_INSTANCE_TYPE ((obj), \
                 OSSO_ABOOK_TYPE_AND_GROUP))
#define OSSO_ABOOK_IS_AND_GROUP_CLASS(klass) \
                (G_TYPE_CHECK_CLASS_TYPE ((klass), \
                 OSSO_ABOOK_TYPE_AND_GROUP))
#define OSSO_ABOOK_AND_GROUP_GET_CLASS(obj) \
                (G_TYPE_INSTANCE_GET_CLASS ((obj), \
                 OSSO_ABOOK_TYPE_AND_GROUP, \
                 OssoABookAndGroupClass))

typedef struct {
        OssoABookGroup parent;
        GList *groups;
} OssoABookAndGroup;

typedef struct {
        OssoABookGroupClass parent_class;
} OssoABookAndGroupClass;

GType
osso_abook_and_group_get_type (void) G_GNUC_CONST;

OssoABookGroup *
osso_abook_and_group_new (void);

void
osso_abook_and_group_set_empty_widget (OssoABookAndGroup *group,
                                       GtkWidget         *widget);

void
osso_abook_and_group_add_group (OssoABookAndGroup *group, OssoABookGroup *child);

G_END_DECLS

#endif /* __OSSO_ABOOK_AND_GROUP_H__ */
