/* -*- Mode: C; tab-width: 8; indent-tabs-mode: nil; c-basic-offset: 8 -*- */
/*
 * This file is part of libosso-abook
 *
 * Copyright (C) 2007  Nokia Corporation.  All rights reserved.
 *
 * Contact: Onne Gorter <onne.gorter@nokia.com>
 */

#ifndef __OSSO_ABOOK_AVATAR_IMAGE_H__
#define __OSSO_ABOOK_AVATAR_IMAGE_H__

#include <libosso-abook/osso-abook-avatar.h>
#include <gtk/gtkimage.h>

G_BEGIN_DECLS

#define OSSO_ABOOK_TYPE_AVATAR_IMAGE            (osso_abook_avatar_image_get_type ())
#define OSSO_ABOOK_AVATAR_IMAGE(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), OSSO_ABOOK_TYPE_AVATAR_IMAGE, OssoABookAvatarImage))
#define OSSO_ABOOK_IS_AVATAR_IMAGE(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), OSSO_ABOOK_TYPE_AVATAR_IMAGE))
#define OSSO_ABOOK_AVATAR_IMAGE_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), OSSO_ABOOK_TYPE_AVATAR_IMAGE, OssoABookAvatarImageClass))
#define OSSO_ABOOK_IS_AVATAR_IMAGE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), OSSO_ABOOK_TYPE_AVATAR_IMAGE))
#define OSSO_ABOOK_AVATAR_IMAGE_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), OSSO_ABOOK_TYPE_AVATAR_IMAGE, OssoABookAvatarImageClass))

typedef struct _OssoABookAvatarImage            OssoABookAvatarImage;
typedef struct _OssoABookAvatarImagePrivate     OssoABookAvatarImagePrivate;
typedef struct _OssoABookAvatarImageClass       OssoABookAvatarImageClass;

struct _OssoABookAvatarImage
{
        GtkImage parent_instance;
        
        OssoABookAvatarImagePrivate *priv;
};

struct _OssoABookAvatarImageClass
{
        GtkImageClass parent_class;

        void (* changed) (OssoABookAvatarImage *image);
};

GType
osso_abook_avatar_image_get_type        (void) G_GNUC_CONST;

GtkWidget *
osso_abook_avatar_image_new             (void);

GtkWidget *
osso_abook_avatar_image_new_full        (OssoABookAvatar      *avatar,
                                         gint                  width,
                                         gint                  height,
                                         gboolean              crop);

void
osso_abook_avatar_image_set_avatar      (OssoABookAvatarImage *image,
                                         OssoABookAvatar      *avatar);

OssoABookAvatar *
osso_abook_avatar_image_get_avatar      (OssoABookAvatarImage *image);

void
osso_abook_avatar_image_set_avatar_size (OssoABookAvatarImage *image,
                                         gint                  width,
                                         gint                  height,
                                         gboolean              crop);

void
osso_abook_avatar_image_get_avatar_size (OssoABookAvatarImage *image,
                                         gint                 *width,
                                         gint                 *height,
                                         gboolean             *crop);

G_END_DECLS

#endif /* __OSSO_ABOOK_AVATAR_IMAGE_H__ */
