/* -*- Mode: C; tab-width: 8; indent-tabs-mode: nil; c-basic-offset: 8 -*- */
/*
 * This file is part of libosso-abook
 *
 * Copyright (C) 2006 Nokia Corporation. All rights reserved.
 *
 * Contact: Onne Gorter <onne.gorter@nokia.com>
 */

#ifndef __OSSO_ABOOK_CAPS_H__
#define __OSSO_ABOOK_CAPS_H__

#include <glib-object.h>
#include "osso-abook-account.h"

G_BEGIN_DECLS

typedef enum {
        OSSO_ABOOK_CAPS_NONE  = 0,
        OSSO_ABOOK_CAPS_EMAIL = 1 << 0,
        OSSO_ABOOK_CAPS_CHAT  = 1 << 1,
        OSSO_ABOOK_CAPS_AUDIO = 1 << 2,
        OSSO_ABOOK_CAPS_VIDEO = 1 << 3,
} OssoABookCapsFlags;

#define OSSO_ABOOK_TYPE_CAPS \
                (osso_abook_caps_get_type ())
#define OSSO_ABOOK_CAPS(obj) \
                (G_TYPE_CHECK_INSTANCE_CAST ((obj), \
                 OSSO_ABOOK_TYPE_CAPS, \
                 OssoABookCaps))
#define OSSO_ABOOK_CAPS_CLASS(klass) \
                (G_TYPE_CHECK_CLASS_CAST ((klass), \
                 OSSO_ABOOK_TYPE_CAPS, \
                 OssoABookCapsClass))
#define OSSO_ABOOK_IS_CAPS(obj) \
                (G_TYPE_CHECK_INSTANCE_TYPE ((obj), \
                 OSSO_ABOOK_TYPE_CAPS))
#define OSSO_ABOOK_IS_CAPS_CLASS(klass) \
                (G_TYPE_CHECK_CLASS_TYPE ((klass), \
                 OSSO_ABOOK_TYPE_CAPS))
#define OSSO_ABOOK_CAPS_GET_CLASS(obj) \
                (G_TYPE_INSTANCE_GET_CLASS ((obj), \
                 OSSO_ABOOK_TYPE_CAPS, \
                 OssoABookCapsClass))

typedef struct {
        GObject parent;
} OssoABookCaps;

typedef struct {
        GObjectClass parent_class;
        
        OssoABookCapsFlags (* get_capabilities)        (OssoABookCaps *caps);
        OssoABookCapsFlags (* get_static_capabilities) (OssoABookCaps *caps);
} OssoABookCapsClass;

GType
osso_abook_caps_get_type                (void) G_GNUC_CONST;

OssoABookCapsFlags
osso_abook_caps_get_capabilities        (OssoABookCaps *caps);

OssoABookCapsFlags
osso_abook_caps_get_static_capabilities (OssoABookCaps *caps);

extern inline OssoABookCapsFlags
osso_abook_caps_from_account_type (OssoABookAccountTypeFlags type);

G_END_DECLS

#endif /* __OSSO_ABOOK_CAPS_H__ */
