/* -*- Mode: C; tab-width: 8; indent-tabs-mode: nil; c-basic-offset: 8 -*- */
/*
 * This file is part of libosso-abook
 *
 * Copyright (C) 2007  Nokia Corporation.  All rights reserved.
 *
 * Contact: Onne Gorter <onne.gorter@nokia.com>
 */

#ifndef __OSSO_ABOOK_CONTACT_AVATAR_H__
#define __OSSO_ABOOK_CONTACT_AVATAR_H__

#include <glib-object.h>
#include <libebook/e-book-view.h>

#include "osso-abook-avatar.h"

G_BEGIN_DECLS

#define OSSO_ABOOK_TYPE_CONTACT_AVATAR \
                (osso_abook_contact_avatar_get_type ())
#define OSSO_ABOOK_CONTACT_AVATAR(obj) \
                (G_TYPE_CHECK_INSTANCE_CAST ((obj), \
                 OSSO_ABOOK_TYPE_CONTACT_AVATAR, \
                 OssoABookContactAvatar))
#define OSSO_ABOOK_IS_CONTACT_AVATAR(obj) \
                (G_TYPE_CHECK_INSTANCE_TYPE ((obj), \
                 OSSO_ABOOK_TYPE_CONTACT_AVATAR))
#define OSSO_ABOOK_CONTACT_AVATAR_CLASS(klass) \
                (G_TYPE_CHECK_CLASS_CAST ((klass), \
                 OSSO_ABOOK_TYPE_CONTACT_AVATAR, \
                 OssoABookContactAvatarClass))
#define OSSO_ABOOK_IS_CONTACT_AVATAR_CLASS(klass) \
                (G_TYPE_CHECK_CLASS_TYPE ((klass), \
                 OSSO_ABOOK_TYPE_CONTACT_AVATAR))
#define OSSO_ABOOK_CONTACT_AVATAR_GET_CLASS(klass) \
                (G_TYPE_INSTANCE_GET_CLASS ((obj), \
                 OSSO_ABOOK_TYPE_CONTACT_AVATAR, \
                 OssoABookContactAvatarClass))

typedef struct _OssoABookContactAvatar         OssoABookContactAvatar;
typedef struct _OssoABookContactAvatarPrivate  OssoABookContactAvatarPrivate;
typedef struct _OssoABookContactAvatarClass    OssoABookContactAvatarClass;

struct _OssoABookContactAvatar {
        OssoABookAvatar parent_instance;

        OssoABookContactAvatarPrivate *priv;
};

struct _OssoABookContactAvatarClass {
        OssoABookAvatarClass parent_class;
};

GType
osso_abook_contact_avatar_get_type         (void) G_GNUC_CONST;

OssoABookAvatar *
osso_abook_contact_avatar_new              (EContact               *contact);

OssoABookAvatar *
osso_abook_contact_avatar_new_with_account (EContact               *contact,
                                            const gchar            *username,
                                            const gchar            *vcard_field);

void
osso_abook_contact_avatar_set_contact      (OssoABookContactAvatar *avatar,
                                            EContact               *contact);

EContact *
osso_abook_contact_avatar_get_contact      (OssoABookContactAvatar *avatar);

void
osso_abook_contact_avatar_set_account      (OssoABookContactAvatar *avatar,
                                            const gchar            *username,
                                            const gchar            *vcard_field);

gboolean
osso_abook_contact_avatar_get_account      (OssoABookContactAvatar *avatar,
                                            gchar                 **username,
                                            gchar                 **vcard_field);

void
osso_abook_contact_avatar_set_book_view    (OssoABookContactAvatar *avatar,
                                            EBookView              *book_view);

EBookView *
osso_abook_contact_avatar_get_book_view    (OssoABookContactAvatar *avatar);

G_END_DECLS

#endif /* __OSSO_ABOOK_CONTACT_AVATAR_H__ */
