/* -*- Mode: C; tab-width: 8; indent-tabs-mode: nil; c-basic-offset: 8 -*- */
/*
 * This file is part of libosso-abook
 *
 * Copyright (C) 2006 Nokia Corporation. All rights reserved.
 *
 * Contact: Onne Gorter <onne.gorter@nokia.com>
 */

#ifndef __OSSO_ABOOK_CONTACT_CAPS_H__
#define __OSSO_ABOOK_CONTACT_CAPS_H__

#include "osso-abook-caps.h"
#include "osso-abook-contact.h"

G_BEGIN_DECLS

#define OSSO_ABOOK_TYPE_CONTACT_CAPS \
                (osso_abook_contact_caps_get_type ())
#define OSSO_ABOOK_CONTACT_CAPS(obj) \
                (G_TYPE_CHECK_INSTANCE_CAST ((obj), \
                 OSSO_ABOOK_TYPE_CONTACT_CAPS, \
                 OssoABookContactCaps))
#define OSSO_ABOOK_CONTACT_CAPS_CLASS(klass) \
                (G_TYPE_CHECK_CLASS_CAST ((klass), \
                 OSSO_ABOOK_TYPE_CONTACT_CAPS, \
                 OssoABookContactCapsClass))
#define OSSO_ABOOK_IS_CONTACT_CAPS(obj) \
                (G_TYPE_CHECK_INSTANCE_TYPE ((obj), \
                 OSSO_ABOOK_TYPE_CONTACT_CAPS))
#define OSSO_ABOOK_IS_CONTACT_CAPS_CLASS(klass) \
                (G_TYPE_CHECK_CLASS_TYPE ((klass), \
                 OSSO_ABOOK_TYPE_CONTACT_CAPS))
#define OSSO_ABOOK_CONTACT_CAPS_GET_CLASS(obj) \
                (G_TYPE_INSTANCE_GET_CLASS ((obj), \
                 OSSO_ABOOK_TYPE_CONTACT_CAPS, \
                 OssoABookContactCapsClass))

typedef struct _OssoABookContactCapsPrivate OssoABookContactCapsPrivate;

typedef struct {
	OssoABookCaps parent;

        OssoABookContactCapsPrivate *priv;
} OssoABookContactCaps;

typedef struct {
	OssoABookCapsClass parent_class;
} OssoABookContactCapsClass;

GType
osso_abook_contact_caps_get_type    (void) G_GNUC_CONST;

OssoABookCaps *
osso_abook_contact_caps_new         (EContact          *contact);

EContact *
osso_abook_contact_caps_get_contact (OssoABookContactCaps *caps);

void
osso_abook_contact_caps_set_contact (OssoABookContactCaps *caps,
                                     EContact             *contact);

void
osso_abook_contact_caps_set_book_view (OssoABookContactCaps *caps,
                                       EBookView            *book_view);
EBookView *
osso_abook_contact_caps_get_book_view (OssoABookContactCaps *caps);

G_END_DECLS

#endif /* __OSSO_ABOOK_CONTACT_CAPS_H__ */
