/* -*- Mode: C; tab-width: 8; indent-tabs-mode: nil; c-basic-offset: 8 -*- */
/*
 * This file is part of libosso-abook
 *
 * Copyright (C) 2006 Nokia Corporation. All rights reserved.
 *
 * Contact: Onne Gorter <onne.gorter@nokia.com>
 */

#ifndef __OSSO_ABOOK_DIALOGS_H__
#define __OSSO_ABOOK_DIALOGS_H__

#include <gtk/gtkwindow.h>
#include <libebook/e-book-view.h>

#include <libosso-abook/osso-abook-account.h>
#include <libosso-abook/osso-abook-action-store.h>
#include <libosso-abook/osso-abook-manual-group.h>
#include <libosso-abook/osso-abook-contact-model.h>

G_BEGIN_DECLS

/* Contact dialogs */
gboolean
osso_abook_delete_contact_dialog_run (GtkWindow             *parent,
                                      EBookView             *book_view,
                                      EContact              *contact);

gboolean
osso_abook_delete_contacts_dialog_run (GtkWindow            *parent,
				       EBookView            *book_view,
				       GList                *contacts);

gboolean
osso_abook_block_contact_dialog_run  (GtkWindow             *parent,
                                      EBookView             *book_view,
                                      EContact              *contact);

/* Group dialogs */
OssoABookGroup *
osso_abook_new_group_dialog_run      (GtkWindow             *parent);

void
osso_abook_rename_group_dialog_run   (GtkWindow             *parent,
                                      OssoABookContactModel *model,
                                      OssoABookManualGroup  *group);

void
osso_abook_delete_group_dialog_run   (GtkWindow             *parent,
                                      OssoABookContactModel *model,
                                      OssoABookManualGroup  *group);

/* Others */
OssoABookAccount *
osso_abook_choose_im_dialog_run (GtkWindow *parent,
                                 EContact  *contact,
                                 OssoABookAccountTypeFlags type);

GList *
osso_abook_choose_email_dialog_run   (GtkWindow              *parent,
				      EContact               *contact);

char *
osso_abook_choose_url_dialog_run (GtkWindow *parent,
                                  EContact  *contact);

void
osso_abook_add_contact_dialog_run    (GtkWindow              *parent,
                                      EBookView              *book_view);

void
osso_abook_add_simple_contact_dialog_run (GtkWindow *parent,
                                          EBookView *book_view,
                                          McAccount *account,
                                          OssoABookManualGroup *group);

void
osso_abook_add_im_account_dialog_run (GtkWindow *parent);

OssoABookAction
osso_abook_select_task_dialog_run (GtkWindow *parent,
                                   const char *display_name,
                                   OssoABookAccount *account);

G_END_DECLS

#endif /* __OSSO_ABOOK_DIALOGS_H__ */
