/* osso-abook-extension.h */

#ifndef _OSSO_ABOOK_EXTENSION
#define _OSSO_ABOOK_EXTENSION

#include <glib-object.h>

G_BEGIN_DECLS

#define OSSO_ABOOK_TYPE_EXTENSION osso_abook_extension_get_type()

#define OSSO_ABOOK_EXTENSION(obj) \
        (G_TYPE_CHECK_INSTANCE_CAST ((obj), \
        OSSO_ABOOK_TYPE_EXTENSION, OssoABookExtension))

#define OSSO_ABOOK_EXTENSION_CLASS(klass) \
        (G_TYPE_CHECK_CLASS_CAST ((klass), \
        OSSO_ABOOK_TYPE_EXTENSION, OssoABookExtensionClass))

#define OSSO_ABOOK_IS_EXTENSION(obj) \
        (G_TYPE_CHECK_INSTANCE_TYPE ((obj), \
        OSSO_ABOOK_TYPE_EXTENSION))

#define OSSO_ABOOK_IS_EXTENSION_CLASS(klass) \
        (G_TYPE_CHECK_CLASS_TYPE ((klass), \
        OSSO_ABOOK_TYPE_EXTENSION))

#define OSSO_ABOOK_EXTENSION_GET_CLASS(obj) \
        (G_TYPE_INSTANCE_GET_CLASS ((obj), \
        OSSO_ABOOK_TYPE_EXTENSION, OssoABookExtensionClass))

typedef struct {
        GObject parent;
} OssoABookExtension;

typedef struct {
        GObjectClass parent_class;
} OssoABookExtensionClass;

typedef enum {
        OSSO_ABOOK_VCARD_FIELD_SINGLE,
        OSSO_ABOOK_VCARD_FIELD_MULTI,
        OSSO_ABOOK_VCARD_FIELD_ACCOUNT,
        OSSO_ABOOK_VCARD_FIELD_SYNCED_ACCOUNT,
        OSSO_ABOOK_VCARD_FIELD_DATE
} OssoABookVCardFieldType;

const char* osso_abook_vcard_field_type_get_name (OssoABookVCardFieldType type);
OssoABookVCardFieldType osso_abook_vcard_field_type_get_type (const char *name);

GType osso_abook_extension_get_type (void);

OssoABookExtension* osso_abook_extension_get (const char *vcard_field, OssoABookVCardFieldType type);
gboolean osso_abook_extension_is_editor_extension (OssoABookExtension *extension);
gboolean osso_abook_extension_is_menu_extension (OssoABookExtension *extension);
gboolean osso_abook_extension_launch (OssoABookExtension *extension,
                                      const char* property,
                                      const char *name,
                                      const char *content,
                                      const char *id);

GList* osso_abook_extensions_get_editor_extensions (void);
GList* osso_abook_extensions_get_menu_extensions (void);

void osso_abook_extensions_init (void);

G_END_DECLS

#endif /* _OSSO_ABOOK_EXTENSION */
