/* -*- Mode: C; tab-width: 8; indent-tabs-mode: nil; c-basic-offset: 8 -*- */
/*
 * This file is part of libosso-abook
 *
 * Copyright (C) 2006 Nokia Corporation. All rights reserved.
 *
 * Contact: Onne Gorter <onne.gorter@nokia.com>
 */

#ifndef __OSSO_ABOOK_INIT_H__
#define __OSSO_ABOOK_INIT_H__

G_BEGIN_DECLS

#include <libosso.h>

#include <libosso-abook/osso-abook-program.h>

gboolean
osso_abook_init (int            *argc,
                 char         ***argv,
                 osso_context_t *osso_context);

gboolean
osso_abook_init_with_name (const char     *name,
                           osso_context_t *osso_context);

osso_context_t *
osso_abook_get_osso_context (void);

void
osso_abook_set_osso_context (osso_context_t *osso_context);

gboolean
osso_abook_is_abook (void);

void
osso_abook_set_is_abook (gboolean abook);

OssoABookProgram *
osso_abook_get_program (void);

void
osso_abook_make_resident (void);

G_END_DECLS

#endif /* __OSSO_ABOOK_INIT_H__ */
