#ifndef _OSSO_ABOOK_SEARCH_ENTRY
#define _OSSO_ABOOK_SEARCH_ENTRY

#include <gtk/gtkframe.h>
#include "osso-abook-filter-model.h"

G_BEGIN_DECLS

#define OSSO_ABOOK_TYPE_SEARCH_ENTRY osso_abook_search_entry_get_type()

#define OSSO_ABOOK_SEARCH_ENTRY(obj) \
  (G_TYPE_CHECK_INSTANCE_CAST ((obj), \
  OSSO_ABOOK_TYPE_SEARCH_ENTRY, OssoABookSearchEntry))

#define OSSO_ABOOK_SEARCH_ENTRY_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_CAST ((klass), \
  OSSO_ABOOK_TYPE_SEARCH_ENTRY, OssoABookSearchEntryClass))

#define OSSO_ABOOK_IS_SEARCH_ENTRY(obj) \
  (G_TYPE_CHECK_INSTANCE_TYPE ((obj), \
  OSSO_ABOOK_TYPE_SEARCH_ENTRY))

#define OSSO_ABOOK_IS_SEARCH_ENTRY_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_TYPE ((klass), \
  OSSO_ABOOK_TYPE_SEARCH_ENTRY))

#define OSSO_ABOOK_SEARCH_ENTRY_GET_CLASS(obj) \
  (G_TYPE_INSTANCE_GET_CLASS ((obj), \
  OSSO_ABOOK_TYPE_SEARCH_ENTRY, OssoABookSearchEntryClass))

typedef struct {
  GtkFrame parent;
} OssoABookSearchEntry;

typedef struct {
  GtkFrameClass parent_class;
} OssoABookSearchEntryClass;

GType osso_abook_search_entry_get_type (void);

GtkWidget* osso_abook_search_entry_new (void);

void osso_abook_search_entry_show (OssoABookSearchEntry *entry);
void osso_abook_search_entry_hide (OssoABookSearchEntry *entry);

void osso_abook_search_entry_set_filter (OssoABookSearchEntry *entry, OssoABookFilterModel *filter);

void osso_abook_search_entry_widget_hook (OssoABookSearchEntry *entry, GtkWidget *widget, GtkTreeView *kb_focus);

void osso_abook_search_entry_widget_unhook (OssoABookSearchEntry *entry);

void osso_abook_search_entry_save_state (OssoABookSearchEntry *entry, GKeyFile *key_file);

void osso_abook_search_entry_restore_state (OssoABookSearchEntry *entry, GKeyFile *key_file);

G_END_DECLS

#endif /* _OSSO_ABOOK_SEARCH_ENTRY */
